# Uses of Class
org.apache.solr.client.solrj.request.schema.FieldTypeDefinition

Packages that use FieldTypeDefinition
Package
Description
org.apache.solr.client.solrj.request.schema
Convenience classes for making Schema API requests.
org.apache.solr.client.solrj.response.schema
Convenience classes for dealing with Schema API responses.

## Uses of FieldTypeDefinition in org.apache.solr.client.solrj.request.schema

Constructors in org.apache.solr.client.solrj.request.schema with parameters of type FieldTypeDefinition
Modifier
Constructor
Description
``
`AddFieldType(FieldTypeDefinition fieldTypeDefinition)`
Creates a new instance of the request.
``
`AddFieldType(FieldTypeDefinition fieldTypeDefinition, SolrParams q)`
``
`ReplaceFieldType(FieldTypeDefinition fieldTypeDefinition)`
Creates a new instance of the request.
``
`ReplaceFieldType(FieldTypeDefinition fieldTypeDefinition, SolrParams q)`

## Uses of FieldTypeDefinition in org.apache.solr.client.solrj.response.schema

Subclasses of FieldTypeDefinition in org.apache.solr.client.solrj.response.schema
Modifier and Type
Class
Description
`class`
`FieldTypeRepresentation`
Methods in org.apache.solr.client.solrj.response.schema that return types with arguments of type FieldTypeDefinition
Modifier and Type
Method
Description
`List<FieldTypeDefinition>`
SchemaRepresentation.`getFieldTypes()`
Method parameters in org.apache.solr.client.solrj.response.schema with type arguments of type FieldTypeDefinition
Modifier and Type
Method
Description
`void`
SchemaRepresentation.`setFieldTypes(List<FieldTypeDefinition> fieldTypes)`